API referenceFare API v1
Invoices
Path Parameters
name*string
name_1*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string/invoices/string"{ "contract": "string", "createTime": "2019-08-24T14:15:22Z", "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "finalizeTime": "2019-08-24T14:15:22Z", "lines": [ { "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "description": "string", "dimensions": { "property1": "string", "property2": "string" }, "id": "string", "product": "string", "quantity": { "value": "string" }, "rateId": "string", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }, "unitPrice": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "name": "string", "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z", "status": "INVOICE_STATUS_UNSPECIFIED", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "tax": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }}Path Parameters
parent*string
Query Parameters
pageSize?integer
Format
int32pageToken?string
filter?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string/invoices"{ "invoices": [ { "contract": "string", "createTime": "2019-08-24T14:15:22Z", "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "finalizeTime": "2019-08-24T14:15:22Z", "lines": [ { "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "description": "string", "dimensions": { "property1": "string", "property2": "string" }, "id": "string", "product": "string", "quantity": { "value": "string" }, "rateId": "string", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }, "unitPrice": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "name": "string", "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z", "status": "INVOICE_STATUS_UNSPECIFIED", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "tax": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "nextPageToken": "string"}Path Parameters
parent*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers/string/invoices:preview" \ -H "Content-Type: application/json" \ -d '{ "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z" }'{ "contract": "string", "createTime": "2019-08-24T14:15:22Z", "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "finalizeTime": "2019-08-24T14:15:22Z", "lines": [ { "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "description": "string", "dimensions": { "property1": "string", "property2": "string" }, "id": "string", "product": "string", "quantity": { "value": "string" }, "rateId": "string", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }, "unitPrice": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "name": "string", "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z", "status": "INVOICE_STATUS_UNSPECIFIED", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "tax": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }}Path Parameters
name*string
name_1*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers/string/invoices/string:finalize" \ -H "Content-Type: application/json" \ -d '{ "requestId": "string" }'{ "contract": "string", "createTime": "2019-08-24T14:15:22Z", "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "finalizeTime": "2019-08-24T14:15:22Z", "lines": [ { "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "description": "string", "dimensions": { "property1": "string", "property2": "string" }, "id": "string", "product": "string", "quantity": { "value": "string" }, "rateId": "string", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }, "unitPrice": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "name": "string", "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z", "status": "INVOICE_STATUS_UNSPECIFIED", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "tax": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }}Path Parameters
name*string
name_1*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers/string/invoices/string:void" \ -H "Content-Type: application/json" \ -d '{ "reason": "string", "requestId": "string" }'{ "contract": "string", "createTime": "2019-08-24T14:15:22Z", "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "finalizeTime": "2019-08-24T14:15:22Z", "lines": [ { "credit": { "amount": { "value": "string" }, "currencyCode": "string" }, "description": "string", "dimensions": { "property1": "string", "property2": "string" }, "id": "string", "product": "string", "quantity": { "value": "string" }, "rateId": "string", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }, "unitPrice": { "amount": { "value": "string" }, "currencyCode": "string" } } ], "name": "string", "periodEndTime": "2019-08-24T14:15:22Z", "periodStartTime": "2019-08-24T14:15:22Z", "status": "INVOICE_STATUS_UNSPECIFIED", "subtotal": { "amount": { "value": "string" }, "currencyCode": "string" }, "tax": { "amount": { "value": "string" }, "currencyCode": "string" }, "total": { "amount": { "value": "string" }, "currencyCode": "string" }}